<script setup lang="ts">
import dayjs from "dayjs";
import BootstrapCard from "@/components/BootstrapCard.vue";
import type { NewsOut } from "@/client";
import FontAwesomeIcon from "@/components/FontAwesomeIcon.vue";
import { useNameStore } from "@/stores";

defineProps<{
  event: NewsOut;
}>();

const categoryToIcon: Record<string, string> = {
  system: "fa-solid fa-server",
  resource: "fa-solid fa-database",
  workflow: "fa-solid fa-chart-gantt",
};
const nameStore = useNameStore();
</script>

<template>
  <BootstrapCard>
    <template #title>
      <font-awesome-icon class="me-2" :icon="categoryToIcon[event.category]" />
      <router-link
        v-if="event.news_id.length > 0"
        :to="{ name: 'news-event', params: { newsId: event.news_id } }"
        >{{ event.title }}
      </router-link>
      <a v-else href="#">{{ event.title }}</a>
    </template>
    <template #footer>
      <span v-if="event.creator_id" class="float-start">
        by {{ nameStore.getName(event.creator_id) }}
      </span>
      <span class="float-end">
        {{ dayjs.unix(event.created_at).fromNow() }}
      </span>
    </template>
  </BootstrapCard>
</template>

<style scoped></style>
